Home

# Class goog.debug.FancyWindow

Provides a Fancy extension to the DebugWindow class. Allows filtering based on loggers and levels.

extends goog.debug.DebugWindow

Instance Method Summary
| `closeOptions_() ⇒ boolean` Close the options menu.
| `exit_(?Event e)` Handles the user clicking the exit button, disabled the debug window and closes the popup.
| `getDropDown_(string id, string selected) ⇒ ?Element` Make a drop down for the log levels.
| `getHtml_() ⇒ string` Return the default HTML for the debug window
| `getStyleRules() ⇒ string`
| `openOptions_() ⇒ boolean` Show the options menu.
| `readOptionsFromLocalStorage_()` Sync logger levels with any values stored in localStorage.
| `resizeStuff_()` Resize the lof elements
| `writeBufferToLog_(string html)` Write to the log and maybe scroll into view
| `writeInitialDocument_()` Writes the initial HTML of the debug window
| `writeOptionsToLocalStorage_()` Write logger levels to localStorage if possible.

Static Method Summary
| `getLoggers_() ⇒ ?Array` Gets a sorted array of all the loggers registered
| `getStoredKeys_() ⇒ ?Object` Helper function to create a list of locally stored keys. Used to avoid expensive localStorage.getItem() calls.